> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riqra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener

> Obtiene el cupón asociado a una promoción.



## OpenAPI

````yaml /api/openapi.json get /promotions/{promotionId}/coupons/{couponId}
openapi: 3.1.0
info:
  title: Riqra API
  version: '1.0'
  contact:
    email: soporte@riqra.com
    url: https://www.riqra.com/
    name: Riqra Support
  description: >-
    Usando nuestra API puedes integrar tu ERP o tu sistema actual de
    administración con [Riqra](https://www.riqra.com/).
servers:
  - url: https://sandbox.api.riqra.com
    description: Sandbox
  - description: Producción
    url: https://api.riqra.com
security:
  - API Key: []
tags:
  - name: Almacenes
  - name: Banners
  - name: Categorías
  - name: Clientes
  - name: Clientes - Direcciones
  - name: Cobertura
  - name: Comercio
  - name: Cupones
  - name: Inventario
  - name: Líneas de Crédito
  - name: Lista de Precios
  - name: Lista de Precios - Precios
  - name: Marcas
  - name: Pedidos
  - name: Productos
  - name: Productos Sugeridos
  - name: Promociones
  - name: Stock
  - name: Subcategorías
  - name: Variantes
paths:
  /promotions/{promotionId}/coupons/{couponId}:
    parameters:
      - schema:
          type: number
        name: couponId
        in: path
        required: true
      - schema:
          type: number
        name: promotionId
        in: path
        required: true
    get:
      tags:
        - Cupones
      summary: Obtener
      description: Obtiene el cupón asociado a una promoción.
      operationId: getpromotions-promotionId-coupons-couponId
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: ''
                type: object
                x-examples:
                  example-1:
                    startDate: string
                    expirationDate: string
                    code: string
                    usageLimit: 0
                properties:
                  id:
                    type: number
                  code:
                    type: string
                    minLength: 1
                  startDate:
                    type: string
                    minLength: 1
                  expirationDate:
                    type: string
                    minLength: 1
                  usageLimit:
                    type:
                      - number
                      - 'null'
                  limitPerUser:
                    type:
                      - number
                      - 'null'
                required:
                  - id
                  - code
                  - startDate
                  - expirationDate
                  - usageLimit
                  - limitPerUser
              examples:
                example-1:
                  value:
                    id: 0
                    startDate: string
                    expirationDate: string
                    code: string
                    usageLimit: 0
                    limitPerUser: 0
components:
  securitySchemes:
    API Key:
      name: api-key
      type: apiKey
      in: header
      description: >-
        Todas las llamadas al API tienen que contener este header junto a la
        clave para poder autenticar y autorizar al cliente.

````